using FluentValidation;

namespace Indotalent.Features.Purchase.PurchaseRequisition.Cqrs;

public class UpdatePurchaseRequisitionValidator : AbstractValidator<UpdatePurchaseRequisitionRequest>
{
    public UpdatePurchaseRequisitionValidator()
    {
        RuleFor(x => x.Id).NotEmpty();
        RuleFor(x => x.VendorId).NotEmpty().WithMessage("Vendor is required");
    }
}